/*
 * Copyright (c) 2009 Mysema Ltd.
 * All rights reserved.
 * 
 */
package com.mysema.tapestry.format.components;

import org.apache.tapestry5.BindingConstants;
import org.apache.tapestry5.MarkupWriter;
import org.apache.tapestry5.annotations.BeginRender;
import org.apache.tapestry5.annotations.Parameter;
import org.apache.tapestry5.ioc.Messages;
import org.apache.tapestry5.ioc.annotations.Inject;

/**
 * Msg provides
 *
 * @author tiwe
 * @version $Id$
 */
public class Message {
    
    @Inject
    private Messages messages;
    
    @Parameter(defaultPrefix=BindingConstants.LITERAL, required=true)
    private String key;
    
    @Parameter
    private Object[] args;
    
    @BeginRender
    void render(MarkupWriter writer){
        writer.write(messages.format(key, args));
    }

}
